package pl.jsystems.springrest.controller;

import java.util.Arrays;
import java.util.List;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import pl.jsystems.springrest.model.Warzywo;

/**
 *
 * @author andrzej
 */
@RestController
public class Rest {

    @RequestMapping("jednoWarzywo.do")
    public Warzywo showOne() {
        return new Warzywo(1, "Marchew");
    }

    @RequestMapping("wieleWarzyw.do")
    public List<Warzywo> showList() {
        return Arrays.asList(
                new Warzywo(1, "Marchew"),
                new Warzywo(2, "Ziemniak"),
                new Warzywo(3, "Cebula")
        );
    }
 
    @RequestMapping(value = "chwytajWarzywo.do", method = RequestMethod.POST)
    public void catchPostVoid(@RequestBody Warzywo w) {
        System.out.println("Otrzymałem: " + w);
        
    }

    @RequestMapping(value = "chwytajWarzywoStatus.do", method = RequestMethod.POST)
    public ResponseEntity catchPostStatus(@RequestBody Warzywo w) {
        System.out.println("Otrzymałem: " + w);
        return new ResponseEntity(w, HttpStatus.OK);
    }

}
